API Reference
List ScheduledExposureCalculation
List scheduled exposure calculations. The results are returned in no particular order.
GET
/
v1
/
scheduledExposureCalculations
List ScheduledExposureCalculation
curl --request GET \
--url https://metrics.eu.confidence.dev/v1/scheduledExposureCalculations \
--header 'Authorization: Bearer <token>'{
"scheduledExposureCalculations": [
{
"exposureCalculationSpec": {
"assignmentTable": "<string>",
"assignmentFilter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"exposureKey": "<string>",
"groups": [
{
"group": "<string>",
"variantKey": "<string>"
}
],
"splitDimensions": [
"<string>"
],
"exposureFilter": {
"factTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"displayName": "<string>"
},
"filters": [
{
"factTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"displayName": "<string>"
}
],
"entityFilter": {
"dimensionTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
}
},
"entityFilters": [
{
"dimensionTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
}
}
]
},
"scheduleStartTime": {},
"scheduleIntervals": [
{}
],
"entity": "<string>",
"nextAssignmentStartTime": {},
"nextAssignmentEndTime": {},
"nextScheduledRunTime": {},
"executedCalculationsCount": {},
"iteration": {},
"createTime": {},
"updateTime": {},
"status": {
"scheduled": {
"nextScheduleTime": {}
},
"cancelled": {
"cancelledTime": {}
},
"calculating": {
"exposureCalculation": "<string>"
},
"waiting": {
"needDataUntilTime": {},
"assignmentTable": "<string>",
"factTable": "<string>",
"dataDeliveredUntilTime": {}
},
"error": {
"errorMessage": "<string>"
}
},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"scheduleEndTime": {},
"exposureTable": "<string>",
"exposedEntitiesMetric": "<string>",
"exposedEntitiesMetricSchedule": "<string>",
"labels": [
{}
],
"activeRetrigger": "<string>",
"displayName": "<string>",
"owner": "<string>"
}
],
"nextPageToken": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The maximum number of scheduled exposure calculations to fetch.
Token used for pagination.
Filtering for scheduled exposure calculations, follows the lucene query string format for example 'name: "scheduledExposureCalculations/abc"', see ScheduledExposureCalculation type for available fields.
Response
200 - application/json
OK
ScheduledExposureCalculation: List of matching scheduled exposure calculations.
Show child attributes
Show child attributes
Token to fetch the next page, empty if no more pages.
Was this page helpful?
⌘I
List ScheduledExposureCalculation
curl --request GET \
--url https://metrics.eu.confidence.dev/v1/scheduledExposureCalculations \
--header 'Authorization: Bearer <token>'{
"scheduledExposureCalculations": [
{
"exposureCalculationSpec": {
"assignmentTable": "<string>",
"assignmentFilter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"exposureKey": "<string>",
"groups": [
{
"group": "<string>",
"variantKey": "<string>"
}
],
"splitDimensions": [
"<string>"
],
"exposureFilter": {
"factTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"displayName": "<string>"
},
"filters": [
{
"factTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"displayName": "<string>"
}
],
"entityFilter": {
"dimensionTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
}
},
"entityFilters": [
{
"dimensionTable": "<string>",
"filter": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
}
}
]
},
"scheduleStartTime": {},
"scheduleIntervals": [
{}
],
"entity": "<string>",
"nextAssignmentStartTime": {},
"nextAssignmentEndTime": {},
"nextScheduledRunTime": {},
"executedCalculationsCount": {},
"iteration": {},
"createTime": {},
"updateTime": {},
"status": {
"scheduled": {
"nextScheduleTime": {}
},
"cancelled": {
"cancelledTime": {}
},
"calculating": {
"exposureCalculation": "<string>"
},
"waiting": {
"needDataUntilTime": {},
"assignmentTable": "<string>",
"factTable": "<string>",
"dataDeliveredUntilTime": {}
},
"error": {
"errorMessage": "<string>"
}
},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"scheduleEndTime": {},
"exposureTable": "<string>",
"exposedEntitiesMetric": "<string>",
"exposedEntitiesMetricSchedule": "<string>",
"labels": [
{}
],
"activeRetrigger": "<string>",
"displayName": "<string>",
"owner": "<string>"
}
],
"nextPageToken": "<string>"
}
